Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 231683

Summary: Review Request: syncekonnector - Synchronization application for Pocket PC handhelds
Product: [Fedora] Fedora Reporter: Aurelien Bompard <gauret>
Component: Package ReviewAssignee: Andreas Bierfert <andreas.bierfert>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: andreas.bierfert
Target Milestone: ---Flags: andreas.bierfert: fedora-review+
wtogami: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-05-01 21:23:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 231670, 231675, 231681    
Bug Blocks:    

Description Aurelien Bompard 2007-03-09 22:30:23 UTC
Spec URL: http://gauret.free.fr/fichiers/rpms/fedora/synce/syncekonnector.spec
SRPM URL: http://gauret.free.fr/fichiers/rpms/fedora/synce/syncekonnector-0.3.2-1.src.rpm
Description: 
SynCEKonnector is a PC / Windows CE synchronization service application like
ActiveSync.

Comment 1 Andreas Bierfert 2007-04-27 10:22:52 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 * OK: W: syncekonnector mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 7)
    please clean this up before pushing..
W: syncekonnector devel-file-in-non-devel-package /usr/lib64/libksynce.so
W: syncekonnector dangling-symlink /usr/share/doc/HTML/en/syncekonnector/common
/usr/share/doc/HTML/en/common
W: syncekonnector symlink-should-be-relative
/usr/share/doc/HTML/en/syncekonnector/common /usr/share/doc/HTML/en/common
E: syncekonnector invalid-soname /usr/lib64/libsyncedevicekonnector.so
libsyncedevicekonnector.so
E: syncekonnector invalid-soname /usr/lib64/libsyncelocalkonnector.so
libsyncelocalkonnector.so
E: syncekonnector invalid-soname /usr/lib64/librakikpimsync.so librakikpimsync.so
rest can probably be ignored due to kde env...
 * OK: package is named according to the guidelines
 * OK: spec file name matches base package name
 * OK: package meets packaging guidelines
 * OK: license
 * OK: license field matches actual license
 * OK: license is not included as own file and thus is not included in %doc
 * OK: spec file seems to be in AE
 * OK: no obfuscated code spec
 * OK: sources match upstream:
a0ec8a8d4d8a9302b9009bc78439a004  syncekonnector-0.3.2.tar.gz
a0ec8a8d4d8a9302b9009bc78439a004 
/homes/awjb/rpmbuild/SOURCES/syncekonnector-0.3.2.tar.gz
 * OK: Builds fine on x86_64/fc6
 * OK: BR seem fine
 * OK: package does not support locales
 * OK: ldconfig is run
 * OK: package is not explicitly designed to be relocatable
 * OK: does not create own dirs
 * OK: no duplicate files in file listing
 * OK: %defattr and permissions seem ok
 * OK: %clean section is present
 * OK: macros are used consistently
 * OK: content is ok
 * OK: no doc package needed
 * OK: %doc files do not affect runtime
 * OK: no header files
 * OK: no static lib
 * OK: pkgconfig is not needed
 * OK: .so files are in main package but due to kde nature should be ok
 * OK: no devel package
 * OK: package does not contain .la archives
 * OK: desktop files provided
 * OK: does not own files/directories from other packages
 * OK: buildroot is rm at beginning of install
 * OK: filenames seem to be valid utf8

Package 6832ddebdb2b5cab31734ea0e9fb9e90  syncekonnector-0.3.2-1.src.rpm
is APPROVED if nobody objects against the .so files.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (GNU/Linux)

iD8DBQFGMc7oQEQyPsWM8csRAk8aAJ4/gpdyrRQvpEt+BtmSmbVtt01EhACeJRLL
WfYlq8wujwmBE/fw99GyYWE=
=KWGR
-----END PGP SIGNATURE-----

Comment 2 Aurelien Bompard 2007-04-28 05:53:58 UTC
New Package CVS Request
=======================
Package Name: syncekonnector
Short Description: Synchronization application for Pocket PC handhelds
Owners: andreas.bierfert@lowlatency.de,gauret@free.fr
Branches: FC-6
InitialCC: